AA.Aa.aa {VGAM} | R Documentation

## The AA-Aa-aa Blood Group System

### Description

Estimates the parameter of the AA-Aa-aa blood group system, with or without Hardy Weinberg equilibrium.

### Usage

    AA.Aa.aa(linkp = "logit", linkf = "logit", inbreeding = FALSE,
             ipA = NULL, ifp = NULL, zero = NULL)

### Arguments

`linkp, linkf` | Link functions applied to `pA` and `f`. See `Links` for more choices.
`ipA, ifp` | Optional initial values for `pA` and `f`.
`inbreeding` | Logical. Is there inbreeding?
`zero` | See `CommonVGAMffArguments` for information.

### Details

This one or two parameter model involves a probability called `pA`. The probability of getting a count in the first column of the input (an AA) is `pA*pA`. When `inbreeding = TRUE`, an additional parameter `f` is used. If `inbreeding = FALSE` then f = 0 and Hardy-Weinberg Equilibrium (HWE) is assumed. The EIM is used if `inbreeding = FALSE`.

### Value

An object of class `"vglmff"` (see `vglmff-class`). The object is used by modelling functions such as `vglm` and `vgam`.

### Warning

Setting `inbreeding = FALSE` makes estimation difficult with non-intercept-only models. Currently, this code seems to work with intercept-only models.

### Note

The input can be a 3-column matrix of counts, where the columns are AA, Ab and aa (in order). Alternatively, the input can be a 3-column matrix of proportions (so each row adds to 1) and the `weights` argument is used to specify the total number of counts for each row.

### Author(s)

T. W. Yee

### References

Weir, B. S. (1996) Genetic Data Analysis II: Methods for Discrete Population Genetic Data, Sunderland, MA: Sinauer Associates, Inc.

### See Also

`AB.Ab.aB.ab`, `ABO`, `A1A2A3`, `MNSs`.

### Examples

    y <- cbind(53, 95, 38)
    fit1 <- vglm(y ~ 1, AA.Aa.aa, trace = TRUE)
    fit2 <- vglm(y ~ 1, AA.Aa.aa(inbreeding = TRUE), trace = TRUE)
    rbind(y, sum(y) * fitted(fit1))
    Coef(fit1)  # Estimated pA
    Coef(fit2)  # Estimated pA and f
    summary(fit1)

[Package VGAM version 1.0-4 Index]